Summary:	BPG image format plugin for Qt
Name:		bpg-imageformat-qt
Version:	1.2
Release:	2%{?dist}
License:	GPLv2+
URL:		http://vr5.narod.ru/bpg
Source0:	bpg-imageformat-qt-1.0.tar.gz
Source1:	libbpg-0.9.8.tar.gz
Source2:        xdg-bpg.xml
Patch0:		makefile.patch
Patch1:		config.h.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt xdg-utils
BuildRequires:	qt-devel


%description 
BPG image format plugin for Qt provides read-only access to BPG images (they can be opened via QImage class, for example)

%prep
%setup -c -n %{name} -a 1

cd libbpg-0.9.8
%patch0 -p1
%patch1 -p1

%build
cd libbpg-0.9.8
make libbpg.a

cd ../bpg-imageformat-qt
export BPGLIB_PATH=../libbpg-0.9.8 BPGINC_PATH=../libbpg-0.9.8
qmake-qt4
make

%install 
install -D bpg-imageformat-qt/libbpg.so $RPM_BUILD_ROOT%{_libdir}/qt4/plugins/imageformats/libbpg.so
install -D %{SOURCE0} %{buildroot}/usr/share/%{name}-%{version}/xdg-bpg.xml

%post
xdg-mime install /usr/share/%{name}-%{version}/xdg-bpg.xml

%files 
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/qt4/plugins/imageformats/libbpg.so
/usr/share/%{name}-%{version}/xdg-bpg.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Fri Nov 13 2015 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package of bpg-imageformat-qt


